package bar.stundenplan;

import java.util.HashMap;

/**
 * @author Benjamin A. Bartsch
 */
public final class D_Fach {

    final int id;
    final String kuerzel;
    final String anzeigename;
    final HashMap<Integer, D_Kurs> mapKu = new HashMap<>();
    
    int stunden;

    public D_Fach(int p_id, String p_kuerzel, String p_anzeigename) {
        this.id = p_id;
        this.kuerzel = p_kuerzel;
        this.anzeigename = p_anzeigename;
        
        this.stunden = 0;
    }

    @Override
    public String toString() {
         return kuerzel + " (" + stunden + " ws)";
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final D_Fach other = (D_Fach) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

    
}
