package bar.stundenplan;

import java.util.HashMap;
import java.util.LinkedList;

/**
 * @author Benjamin A. Bartsch
 */
public final class D_Klasse {

    final int id;
    final String kuerzel;
    int stunden;
    final LinkedList<D_Kopplung> list_ko;
    final String plan;
    final HashMap<Integer, D_Kurs> mapKu = new HashMap<>();

    public D_Klasse(int p_id, String p_kuerzel, String plan) {
        this.id = p_id;
        this.kuerzel = p_kuerzel;
        this.stunden = 0;
        this.list_ko = new LinkedList<>();
        this.plan = plan;
    }

    @Override
    public String toString() {
        return kuerzel + " (" + stunden + " ws)";
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final D_Klasse other = (D_Klasse) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

}
