package bar.stundenplan;

import java.util.LinkedList;

/**
 * @author Benjamin A. Bartsch
 */
public class D_Klasse_SOL {

    final int id;
    final String kuerzel;
    final LinkedList<D_Kurs_SOL> myKu = new LinkedList<>();

    public D_Klasse_SOL(int id, String kuerzel) {
        this.id = id;
        this.kuerzel = kuerzel;
    }

    /*
    String get_zelle2(int t, int s) {
        String text = "";

        String text1 = get_zelle(0, t, s);
        String text2 = get_zelle(1, t, s);
        if (text1.equals(text2)) {
            text += text1;
        } else {
            text += text1 + "," + text2;
        }

        while (text.length() < 14) {
            text = text + ".";
        }
        while (text.length() < 16) {
            text = " " + text;
        }
        return text;
    }*/

    /*
    private String get_zelle(int w, int t, int s) {
        String text = "";
        for (D_Kurs_SOL ku_er : myKu) {
            text += ku_er.get_zelle_kl(w, t, s);
        }
        return text;
    }*/

    void erzeuge_ausgabe(LinkedList<String> html, int MAX_W, int MAX_T, int MAX_S) {
        html.addLast("<h2>Klasse: " + kuerzel + "</h2>");

        String[][][] planS = new String[MAX_S][MAX_T][MAX_W];
        for (int w = 0; w < MAX_W; w++) {
            for (int t = 0; t < MAX_T; t++) {
                for (int s = 0; s < MAX_S; s++) {
                    planS[s][t][w] = "";
                    
                    String sKopplung = "";
                    String sKurse = "";
                    
                    for (D_Kurs_SOL ku_sol : myKu) {
                        if (ku_sol.hat_unterricht(w, t, s)) {
                            sKurse += ku_sol.get_zelle_kl(w, t, s) + "<br>"; // TODO besondere Ausgabeart bei Kopplungen
                            for (D_Kopplung_SOL ko_sol : ku_sol.myKo) {
                                if (sKopplung.isEmpty()) {
                                    sKopplung = "<b>"+ko_sol.kuerzel+"</b><br>";
                                }
                            }
                        }
                    }
                    
                    planS[s][t][w] += sKopplung;
                    planS[s][t][w] += sKurse;
                }
            }
        }

        ConfigHTML.toHtmlTable(MAX_S, MAX_T, MAX_W, planS, html);
    }

}
