package bar.stundenplan;

import java.util.HashMap;

/**
 * @author Benjamin A. Bartsch
 */
public final class D_Kopplung {

    final int id;
    final String kuerzel;
    final String anzeigename;
    final RowMap<D_Stunde_Ko> st_map = new RowMap<>();
    int stunden;
    final String plan;
 final HashMap<Integer, D_Kurs> mapKu = new HashMap<>();
 
    public D_Kopplung(int p_id, String p_kuerzel, String p_anzeigename, String plan) {
        this.id = p_id;
        this.kuerzel = p_kuerzel;
        this.anzeigename = p_anzeigename;
        this.stunden = 0;
        this.plan = plan;
    }

    @Override
    public String toString() {
        return kuerzel+" ("+stunden+" ws)";
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final D_Kopplung other = (D_Kopplung) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
    
    

}
