package bar.stundenplan;

import java.util.HashMap;

/**
 * @author Benjamin A. Bartsch
 */
public final class D_Raum {

    final int id;
    final String kuerzel;
    final String plan;
    final HashMap<Integer, D_Kurs> mapKu = new HashMap<>();

    public D_Raum(int p_id, String p_kuerzel, String plan) {
        this.id = p_id;
        this.kuerzel = p_kuerzel;
        this.plan = plan;
    }

    @Override
    public String toString() {
        return kuerzel;
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final D_Raum other = (D_Raum) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

}
