package bar.stundenplan;

/**
 * @author Benjamin A. Bartsch
 */
public final class D_Stunde {

    final int id;
    final int ku_id;
    final int wochenstunden;
    final int typ;
    final String plan;
    final int lage_kl;
    int lage_le;
        
    public D_Stunde(
            int id,
            int ku_id, 
            int wochenstunden,
            int typ,
            String plan,
            int lage_kl,
            int lage_le
    ) {
        this.id = id;
        this.ku_id = ku_id;
        this.wochenstunden = wochenstunden;
        this.typ = typ;
        this.plan = plan;
        this.lage_kl = lage_kl;
        this.lage_le = lage_le;
    }

    @Override
    public String toString() {
        String s_typ = "?";
        if (typ == 1) {
            s_typ = "n";
        }
        if (typ == 2) {
            s_typ = "d";
        }
        if (typ == 3) {
            s_typ = "x";
        }
        return "(" + wochenstunden + s_typ + ")";
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final D_Stunde other = (D_Stunde) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
    
    

}
