package bar.stundenplan;

/**
 * Ein Stundenblock alle zwei Wochen gedoppelt. <br>
 * Typ d = In beiden Wochen gleich. <br>
 *
 * @author Benjamin A. Bartsch
 */
public class D_Stunde_SAT_d extends D_Stunde_SAT {

    public D_Stunde_SAT_d(int MAX_TAGE, int MAX_STUNDEN, int id, int wochenstunden, String plan, int lage_kl, int lage_le) {
        super(MAX_TAGE, MAX_STUNDEN, id, wochenstunden, plan, lage_kl, lage_kl);
    }

    @Override
    void cnf_post(SatWrapper sw, D_Schule_SAT sc) throws Exception {
        // planWT_ist_am (Typ d): An genau einem Tag in zwei Wochen.
        sw.c_exactly_generic(planWT_ist_am, 1);

        // planS_beginnt
        // planS_ist     
        cnf_post_planS(sw, stunden * 2);

        // planWTS
        cnf_post_planWTS(sw);
        
        // Verbiete Übergänge
        cnf_post_planS_verbiete_uebergang(sw, sc);
    }

}
